Loading...
Searching...
No Matches
File Information
Apache Portability Runtime library
Collaboration diagram for File Information:

## Modules

| File Permissions flags
| Stat Functions
| Directory Manipulation Functions
| Filepath Manipulation Functions

## Typedefs

typedef struct apr_dir_t | apr_dir_t
typedef apr_int32_t | apr_fileperms_t
typedef dev_t | apr_dev_t

## Enumerations

enum | apr_filetype_e { APR_NOFILE = 0 , APR_REG , APR_DIR , APR_CHR , APR_BLK , APR_PIPE , APR_LNK , APR_SOCK , APR_UNKFILE = 127 }

## Detailed Description

## Typedef Documentation

## apr_dev_t

typedef dev_t apr_dev_t

Structure for determining the device the file is on.

## apr_dir_t

typedef struct apr_dir_t apr_dir_t

Structure for referencing directories.

## apr_fileperms_t

typedef apr_int32_t apr_fileperms_t

Structure for determining file permissions.

## Enumeration Type Documentation

## apr_filetype_e

enum apr_filetype_e

apr_filetype_e values for the filetype member of the apr_file_info_t structure

Warning
  Not all of the filetypes below can be determined. For example, a given platform might not correctly report a socket descriptor as APR_SOCK if that type isn't well-identified on that platform. In such cases where a filetype exists but cannot be described by the recognized flags below, the filetype will be APR_UNKFILE. If the filetype member is not determined, the type will be APR_NOFILE.

Enumerator
APR_NOFILE | no file type determined
APR_REG | a regular file
APR_DIR | a directory
APR_CHR | a character device
APR_BLK | a block device
APR_PIPE | a FIFO / pipe
APR_LNK | a symbolic link
APR_SOCK | a [unix domain] socket
APR_UNKFILE | a file of some other unknown type